POST api/CosFinance/SaveFinanceBatchDownload

Request Information

URI Parameters

None.

Body Parameters

Collection of MssFinanceBatchRecordDTO
NameDescriptionTypeAdditional information
Id

integer

None.

RecordType

string

String length: inclusive between 0 and 8000

BatchId

integer

None.

ReportType

integer

None.

IsDownloaded

boolean

None.

RecordTypeId

integer

None.

Request Formats

application/json, text/json

Sample:
[
  {
    "Id": 1,
    "RecordType": "sample string 2",
    "BatchId": 1,
    "ReportType": 1,
    "IsDownloaded": true,
    "RecordTypeId": 4
  },
  {
    "Id": 1,
    "RecordType": "sample string 2",
    "BatchId": 1,
    "ReportType": 1,
    "IsDownloaded": true,
    "RecordTypeId": 4
  }
]

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

AsapResponseOfListOfMssFinanceBatchRecordDTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

Collection of MssFinanceBatchRecordDTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": [
    {
      "Id": 1,
      "RecordType": "sample string 2",
      "BatchId": 1,
      "ReportType": 1,
      "IsDownloaded": true,
      "RecordTypeId": 4
    },
    {
      "Id": 1,
      "RecordType": "sample string 2",
      "BatchId": 1,
      "ReportType": 1,
      "IsDownloaded": true,
      "RecordTypeId": 4
    }
  ],
  "totalCount": 3
}